aim4.config

## Class Debug

- java.lang.Object
- - aim4.config.Debug

-     public class Debug
      extends Object

  The configuration for debugging purposes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `CAN_CHANGE_LANE` Whether or not the vehicle is allowed to change lanes
    `static BasicMap` | `currentMap` A global variable referring to the global map.
    `static boolean` | `IS_EXPECTED_IM_REPLY_TIME_CONSIDERED` Whether or not the driver considers the expected time the IM takes to reply a request.
    `static boolean` | `IS_PRINT_RANDOM_SEED` Whether or not to print the random seed.
    `static boolean` | `PRINT_SIMULATOR_STAGE` Whether or not the simulator prints out the stage of the simulation in the simulation's main loop.
    `static boolean` | `SHOW_ARRIVAL_TIME` Whether or not the simulator shows the (expected) arrival time of the request (if any) of the vehicles on screen.
    `static boolean` | `SHOW_PROXY_VEHICLE_DEBUG_MSG` Whether or not the proxy vehicle shows the debug message.
    `static boolean` | `SHOW_PROXY_VEHICLE_PVUPDATE_MSG` Whether or not to show the PVUpdate message.
    `static boolean` | `SHOW_REMAINING_ARRIVAL_TIME` Whether or not the simulator shows the (expected) arrival time of the request (if any) of the vehicles minus the current time on screen.
    `static boolean` | `SHOW_VEHICLE_COLOR_BY_MSG_STATE` Whether to show the vehicle according to its messaging state.
    `static ViewerDebugView` | `viewer` A global variable referring to the GUI object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addLongTermDebugPoint(DebugPoint dp)` Add a new long-term debug point.
    `static void` | `addShortTermDebugPoint(DebugPoint dp)` Add a new short-term debug point.
    `static void` | `clearLongTermDebugPoints()` Clear out all the long-term debug points.
    `static void` | `clearShortTermDebugPoints()` Clear out all the short-term debug points.
    `static List<DebugPoint>` | `getLongTermDebugPoints()` Get the long-term debugging points.
    `static List<DebugPoint>` | `getShortTermDebugPoints()` Get the short-term debugging points
    `static int` | `getTargetIMid()` Get the target intersection manager's ID
    `static int` | `getTargetVIN()` Get the target vehicle's ID
    `static Color` | `getVehicleColor(int vin)` Get the color of a vehicle.
    `static boolean` | `isPrintArrivalEstimationParameters(int vin)` Whether or not the simulator print the parameters for arrival estimation
    `static boolean` | `isPrintDriverStateOfVIN(int vin)` Whether or not the simulator print the state of the driver of the target vehicle
    `static boolean` | `isPrintIMInboxMessageOfVIN(int vin)` Whether or not the simulator print the messages received by IM of the target vehicle.
    `static boolean` | `isPrintIMOutboxMessageOfVIN(int vin)` Whether or not the simulator print the messages sent by IM of the target vehicle.
    `static boolean` | `isPrintReservationAcceptanceCheck(int vin)` Whether or not the simulator print the parameters for reservation acceptence check
    `static boolean` | `isPrintVehicleHighLevelControlOfVIN(int vin)` Whether or not the simulator print the high level control of the target vehicle.
    `static boolean` | `isPrintVehicleInboxMessageOfVIN(int vin)` Whether or not the simulator print the messages received by the target vehicle.
    `static boolean` | `isPrintVehicleOutboxMessageOfVIN(int vin)` Whether or not the simulator print the messages sent by the target vehicle.
    `static boolean` | `isPrintVehicleStateOfVIN(int vin)` Whether or not the simulator print the state of the target vehicle.
    `static boolean` | `isTargetVIN(int vin)` Whether or not the simulator shows the vin of the vehicles on screen.
    `static void` | `removeTargetIMid()` Remove the target intersection manager's ID
    `static void` | `removeTargetVIN()` Remove the target vehicle's ID
    `static void` | `removeVehicleColor(int vin)` Remove the color assignment of a vehicle.
    `static void` | `setTargetIMid(int vin)` Set the target intersection manager's ID
    `static void` | `setTargetVIN(int vin)` Set the target vehicle's ID
    `static void` | `setVehicleColor(int vin, Color color)` Set the color of a vehicle.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentMap

          public static BasicMap currentMap

      A global variable referring to the global map.

    - #### viewer

          public static ViewerDebugView viewer

      A global variable referring to the GUI object.

    - #### CAN_CHANGE_LANE

          public static final boolean CAN_CHANGE_LANE

      Whether or not the vehicle is allowed to change lanes
      See Also:
        Constant Field Values

    - #### IS_EXPECTED_IM_REPLY_TIME_CONSIDERED

          public static final boolean IS_EXPECTED_IM_REPLY_TIME_CONSIDERED

      Whether or not the driver considers the expected time the IM takes to reply a request.
      See Also:
        Constant Field Values

    - #### SHOW_ARRIVAL_TIME

          public static final boolean SHOW_ARRIVAL_TIME

      Whether or not the simulator shows the (expected) arrival time of the request (if any) of the vehicles on screen.
      See Also:
        Constant Field Values

    - #### SHOW_REMAINING_ARRIVAL_TIME

          public static final boolean SHOW_REMAINING_ARRIVAL_TIME

      Whether or not the simulator shows the (expected) arrival time of the request (if any) of the vehicles minus the current time on screen.
      See Also:
        Constant Field Values

    - #### PRINT_SIMULATOR_STAGE

          public static final boolean PRINT_SIMULATOR_STAGE

      Whether or not the simulator prints out the stage of the simulation in the simulation's main loop.
      See Also:
        Constant Field Values

    - #### SHOW_PROXY_VEHICLE_DEBUG_MSG

          public static final boolean SHOW_PROXY_VEHICLE_DEBUG_MSG

      Whether or not the proxy vehicle shows the debug message.
      See Also:
        Constant Field Values

    - #### SHOW_PROXY_VEHICLE_PVUPDATE_MSG

          public static final boolean SHOW_PROXY_VEHICLE_PVUPDATE_MSG

      Whether or not to show the PVUpdate message.
      See Also:
        Constant Field Values

    - #### IS_PRINT_RANDOM_SEED

          public static final boolean IS_PRINT_RANDOM_SEED

      Whether or not to print the random seed.
      See Also:
        Constant Field Values

    - #### SHOW_VEHICLE_COLOR_BY_MSG_STATE

          public static boolean SHOW_VEHICLE_COLOR_BY_MSG_STATE

      Whether to show the vehicle according to its messaging state.

  - ### Method Detail

    - #### isTargetVIN

          public static boolean isTargetVIN(int vin)

      Whether or not the simulator shows the vin of the vehicles on screen.

    - #### getTargetVIN

          public static int getTargetVIN()

      Get the target vehicle's ID

    - #### setTargetVIN

          public static void setTargetVIN(int vin)

      Set the target vehicle's ID

    - #### removeTargetVIN

          public static void removeTargetVIN()

      Remove the target vehicle's ID

    - #### getTargetIMid

          public static int getTargetIMid()

      Get the target intersection manager's ID

    - #### setTargetIMid

          public static void setTargetIMid(int vin)

      Set the target intersection manager's ID

    - #### removeTargetIMid

          public static void removeTargetIMid()

      Remove the target intersection manager's ID

    - #### isPrintDriverStateOfVIN

          public static boolean isPrintDriverStateOfVIN(int vin)

      Whether or not the simulator print the state of the driver of the target vehicle

    - #### isPrintVehicleStateOfVIN

          public static boolean isPrintVehicleStateOfVIN(int vin)

      Whether or not the simulator print the state of the target vehicle.

    - #### isPrintIMInboxMessageOfVIN

          public static boolean isPrintIMInboxMessageOfVIN(int vin)

      Whether or not the simulator print the messages received by IM of the target vehicle.

    - #### isPrintIMOutboxMessageOfVIN

          public static boolean isPrintIMOutboxMessageOfVIN(int vin)

      Whether or not the simulator print the messages sent by IM of the target vehicle.

    - #### isPrintVehicleInboxMessageOfVIN

          public static boolean isPrintVehicleInboxMessageOfVIN(int vin)

      Whether or not the simulator print the messages received by the target vehicle.

    - #### isPrintVehicleOutboxMessageOfVIN

          public static boolean isPrintVehicleOutboxMessageOfVIN(int vin)

      Whether or not the simulator print the messages sent by the target vehicle.

    - #### isPrintArrivalEstimationParameters

          public static boolean isPrintArrivalEstimationParameters(int vin)

      Whether or not the simulator print the parameters for arrival estimation

    - #### isPrintReservationAcceptanceCheck

          public static boolean isPrintReservationAcceptanceCheck(int vin)

      Whether or not the simulator print the parameters for reservation acceptence check

    - #### isPrintVehicleHighLevelControlOfVIN

          public static boolean isPrintVehicleHighLevelControlOfVIN(int vin)

      Whether or not the simulator print the high level control of the target vehicle.

    - #### getLongTermDebugPoints

          public static List<DebugPoint> getLongTermDebugPoints()

      Get the long-term debugging points.
      Returns:
        an list of long-term debug points.

    - #### clearLongTermDebugPoints

          public static void clearLongTermDebugPoints()

      Clear out all the long-term debug points.

    - #### addLongTermDebugPoint

          public static void addLongTermDebugPoint(DebugPoint dp)

      Add a new long-term debug point.
      Parameters:
        `dp` - a new long-term debug point.

    - #### getShortTermDebugPoints

          public static List<DebugPoint> getShortTermDebugPoints()

      Get the short-term debugging points
      Returns:
        an list of short-term debug points

    - #### clearShortTermDebugPoints

          public static void clearShortTermDebugPoints()

      Clear out all the short-term debug points.

    - #### addShortTermDebugPoint

          public static void addShortTermDebugPoint(DebugPoint dp)

      Add a new short-term debug point.
      Parameters:
        `dp` - a new short-term debug point

    - #### getVehicleColor

          public static Color getVehicleColor(int vin)

      Get the color of a vehicle.
      Parameters:
        `vin` - the VIN number of the vehicle
      Returns:
        the color of the vehicle

    - #### setVehicleColor

          public static void setVehicleColor(int vin,
                             Color color)

      Set the color of a vehicle.
      Parameters:
        `vin` - the VIN number of the vehicle
        `color` - the color of the vehicle

    - #### removeVehicleColor

          public static void removeVehicleColor(int vin)

      Remove the color assignment of a vehicle.
      Parameters:
        `vin` - the VIN number of the vehicle

Copyright © 2013. All rights reserved.